.sa-table {
  /* TODO: remove fixed height. Tricky because overflow + no fixed height breaks the sticky headers */
  max-height: calc(100vh - 4rem);
  overflow: auto;

  table {
    border-spacing: 0;
    min-width: 100%;
    text-align: left;
    th,
    td {
      white-space: nowrap;
      padding: spacing(1);
    }
  }

  th,
  tr.summary td {
    position: sticky;
    vertical-align: bottom;
    border-bottom: border(grey-light);
    background: white;
  }

  th {
    top: 0;
    &.main-header {
      border-bottom: 0;
    }
    &.sub-header {
      top: 1.75rem;
      padding-top: 0;
      font-weight: $font-weight-regular;
      &:before {
        content: '';
        border-left: border(grey-light);
        padding-left: spacing(1);
      }
    }
  }

  tr.summary td {
    top: calc(1.75rem + 1px);
    border-bottom: border(grey-light);
    color: color(grey);
  }

  tr.summary.subcolumns td {
    top: calc(3rem + 1px);
  }

  tr.table-row {
    td {
      border-bottom: border(grey-tint);
    }
    &.row-data:hover,
    &.row-data:focus {
      background: color(primary-tint);
    }
  }

  .table-status {
    padding-bottom: spacing(4);
    color: color(grey);
    &.extra-rows {
      border-top: 1px dashed color(grey);
    }
  }
}
